Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.OperatingPackage
Class PrecursorContainer

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector<Precursor>
                  de.unibi.techfak.InSilicoDicer.OperatingPackage.PrecursorContainer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Precursor>, java.util.Collection<Precursor>, java.util.List<Precursor>, java.util.RandomAccess

    public class PrecursorContainer

extends java.util.Vector<Precursor>
implements java.io.Serializable

Author:
  Sylvia Tippmann Jan Krueger An Object containing multiple precursor objects. This class extends Vector.
See Also:
  Serialized Form

Field Summary
`static int` | `MINIMUM_SEQUENCE_LENGTH` Minimum sequence length, which is accepted.
`static java.lang.String` | `NUCLEICACID_CHARS` small nucleo acid alphabet following IUPAC norm : code: description: A Adenosine C Cytidine G Guanine T Thymidine U Uracil N A G C T U (aNy)
`static long` | `serialVersionUID`

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PrecursorContainer()` Contructs an empty PrecursorContainer,
`PrecursorContainer(java.lang.Object[] pcarr)` Constructor : constructs an PreCursorContainer from a Precursor Array

Method Summary
`void` | `addWarning(java.lang.String warn)` Add a warning to internal warning list
`void` | `appendFasta(java.io.InputStream in)` reads sequences in FASTA from Inputstream and append it to current PrecursorContainer
`void` | `appendVienna(java.io.InputStream in)`
`void` | `cleanWarnings()` Clean internal warning list.
`java.lang.String` | `getFormatWarnString()` Return internal warning list as formated string and clean internal warning list afterwards.
`ILocalAlign` | `getLocalalign()`
`IPatternMatching` | `getPatternmatching()`
`Precursor` | `getPrecursorByID(java.lang.String theID)` Searches the miRNA Registry for the given ID
`PrecursorContainer` | `getPrecursorByName(java.lang.String theName)` Searches all Precursor Descriptions of the miRNA Registry for the given String with the BM Algorithm
`PrecursorContainer` | `getPrecursorBySequence(java.lang.String theSeq, int cutOFF)` Searches all Precursor Sequences of miRNA Registry for Precursors with a Similarity to the given Sequence higher then the cutOff value
`java.util.List` | `getWarnings()` Return a reference of internal warning list.
`void` | `setLocalalign(ILocalAlign localalign)`
`void` | `setPatternmatching(IPatternMatching patternmatching)`
`java.lang.String` | `toFasta(boolean withSecStruc)` Returns a String containing all Precursor information in Fasta format with or without secundary structure information
`java.lang.String` | `toString()`
`boolean` | `warn()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### NUCLEICACID_CHARS

    public static final java.lang.String NUCLEICACID_CHARS

  small nucleo acid alphabet following IUPAC norm :

  code: | description:
  --- | ---
  A | Adenosine
  C | Cytidine
  G | Guanine
  T | Thymidine
  U | Uracil
  N | A G C T U (aNy)

  See Also:
    Constant Field Values

### MINIMUM_SEQUENCE_LENGTH

    public static final int MINIMUM_SEQUENCE_LENGTH

  Minimum sequence length, which is accepted.

  See Also:
    Constant Field Values

Constructor Detail

### PrecursorContainer

    public PrecursorContainer(java.lang.Object[] pcarr)

  Constructor : constructs an PreCursorContainer from a Precursor Array

  Parameters:
    `pcarr` - - Array of PreCursor

### PrecursorContainer

    public PrecursorContainer()

  Contructs an empty PrecursorContainer,

Method Detail

### getPrecursorByName

    public PrecursorContainer getPrecursorByName(java.lang.String theName)

  Searches all Precursor Descriptions of the miRNA Registry for the given String with the BM Algorithm

  Parameters:
    `theName` -
  Returns:
    PrecursorContainer of all Precursors matchng the String

### getPrecursorByID

    public Precursor getPrecursorByID(java.lang.String theID)

  Searches the miRNA Registry for the given ID

  Parameters:
    `theID` -
  Returns:
    Precursor with given ID

### getPrecursorBySequence

    public PrecursorContainer getPrecursorBySequence(java.lang.String theSeq,
                                                     int cutOFF)

  Searches all Precursor Sequences of miRNA Registry for Precursors with a Similarity to the given Sequence higher then the cutOff value

  Parameters:
    `theSeq` -
    `cutOFF` -
  Returns:
    PrecursorContainer of all similar Precursors

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Vector<Precursor>`
  Returns:
    Returns the amount of precursors contained in this PrecursorContainer.

### getLocalalign

    public ILocalAlign getLocalalign()

  Returns:
    Returns the localalign.

### setLocalalign

    public void setLocalalign(ILocalAlign localalign)

  Parameters:
    `localalign` - The localalign to set.

### getPatternmatching

    public IPatternMatching getPatternmatching()

  Returns:
    Returns the patternmatching.

### setPatternmatching

    public void setPatternmatching(IPatternMatching patternmatching)

  Parameters:
    `patternmatching` - The patternmatching to set.

### appendFasta

    public void appendFasta(java.io.InputStream in)
                     throws java.io.IOException,
                            java.text.ParseException

  reads sequences in FASTA from Inputstream and append it to current PrecursorContainer

  Parameters:
    `in` - - InputStream containg sequence information in FASTA format
  Throws:
    `java.io.IOException` - - Thorws an IOException if an error occurred reading the inputstream
    `java.text.ParseException` - - Throws a ParseException if Inputstream is NOT in FASTA format

### appendVienna

    public void appendVienna(java.io.InputStream in)
                      throws java.io.IOException,
                             java.text.ParseException

  Parameters:
    `in` -
  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### toFasta

    public java.lang.String toFasta(boolean withSecStruc)

  Returns a String containing all Precursor information in Fasta format with or without secundary structure information

  Parameters:
    `withSecStruct` - - A boolean which determines, if secundary structure should be returned or not.
  Returns:
    Return a String in Fasta/Vienna format

### addWarning

    public void addWarning(java.lang.String warn)

  Add a warning to internal warning list

  Parameters:
    `warn` - - Warning to be add

### getWarnings

    public java.util.List getWarnings()

  Return a reference of internal warning list.

  Returns:
    A reference of internal warning list.

### getFormatWarnString

    public java.lang.String getFormatWarnString()

  Return internal warning list as formated string and clean internal warning list afterwards.

  Returns:
    Warnings as formated string.

### warn

    public boolean warn()

### cleanWarnings

    public void cleanWarnings()

  Clean internal warning list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD